For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet Product
      • PATCHUpdate a single product with Json Merge Patch functionality
      • GETRetrieves List of Products based on filters provided
      • POSTCreate single product to the store
      • PUTUpdate specific channel metadata record from a variant by channel metadata ID
      • DELUsed to delete a specific channel metadata record from a variant by channel metadata ID
      • GETGet Taxonomy Parent by Id
      • GETGet Taxonomies
      • POSTUsed to Create a new Channel Metadata Entry for a given Variant
      • GETGet Packaging Requirement
      • GETGet Taxonomy by Id
LogoLogo
API ReferenceProducts

Used to Create a new Channel Metadata Entry for a given Variant

||View as Markdown|
POST
https://sandbox-api.shipbob.com/2.0/variant/:variantId/channel-metadata
POST
/2.0/variant/:variantId/channel-metadata
$curl -X POST https://sandbox-api.shipbob.com/2.0/variant/1/channel-metadata \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json-patch+json" \
> -d '{
> "asin": "string",
> "fnsku": "string",
> "fulfillment_channel": "string",
> "channel_id": 0,
> "currency": "string",
> "id": 0,
> "is_inventory_sync_enabled": true,
> "platform": "string",
> "platform_identifier": "string",
> "platform_inventory_item_id": "string",
> "price": 0.1,
> "seller_sku": "string"
>}'
201default
1{
2 "category": {
3 "id": 0,
4 "name": "string"
5 },
6 "created_on": "2019-08-24T14:15:22+00:00",
7 "id": 0,
8 "name": "string",
9 "sub_category": {
10 "id": 0,
11 "name": "string"
12 },
13 "type": "string",
14 "updated_on": "2019-08-24T14:15:22+00:00",
15 "user_id": 0,
16 "variants": [
17 {
18 "associated_bundles": [
19 {
20 "product_id": 0,
21 "product_name": "string",
22 "quantity": 0,
23 "variant_id": 0,
24 "variant_sku": "string"
25 }
26 ],
27 "barcode": "string",
28 "bundle_definition": [
29 {
30 "product_id": 0,
31 "quantity": 0,
32 "variant_id": 0,
33 "variant_name": "string",
34 "variant_sku": "string"
35 }
36 ],
37 "channel_metadata": [
38 {
39 "channel_id": 0,
40 "channel_name": "string",
41 "currency": "string",
42 "id": 0,
43 "is_inventory_sync_enabled": true,
44 "legacy_product_id": 0,
45 "platform": "string",
46 "platform_identifier": "string",
47 "platform_inventory_item_id": "string",
48 "price": 0.1,
49 "seller_sku": "string"
50 }
51 ],
52 "created_on": "2019-08-24T14:15:22+00:00",
53 "customs": {
54 "country_code_of_origin": "string",
55 "currency": "string",
56 "description": "string",
57 "hs_tariff_code": "string",
58 "is321_eligible": true,
59 "value": 0
60 },
61 "dimension": {
62 "height": 0.1,
63 "length": 0.1,
64 "unit": "string",
65 "width": 0.1
66 },
67 "fulfillment_settings": {
68 "dangerous_goods": true,
69 "is_bpm_parcel": true,
70 "is_case_pick": true,
71 "msds_url": "string",
72 "requires_prop65": true,
73 "serial_scan": {
74 "exact_character_length": 0,
75 "is_enabled": true,
76 "prefix": "string",
77 "suffix": "string"
78 }
79 },
80 "gtin": "string",
81 "id": 0,
82 "inventory": {
83 "inventory_id": 0,
84 "on_hand_qty": 0
85 },
86 "is_digital": true,
87 "lot_information": {
88 "is_lot": true,
89 "minimum_shelf_life_days": 0
90 },
91 "name": "string",
92 "packaging_material_type": {
93 "id": 0,
94 "name": "string"
95 },
96 "packaging_requirement": {
97 "id": 0,
98 "name": "string"
99 },
100 "return_preferences": {
101 "backup_action": {
102 "id": 0,
103 "name": "string"
104 },
105 "instructions": "string",
106 "primary_action": {
107 "id": 0,
108 "name": "string"
109 },
110 "return_to_sender_backup_action": {
111 "id": 0,
112 "name": "string"
113 },
114 "return_to_sender_primary_action": {
115 "id": 0,
116 "name": "string"
117 }
118 },
119 "sku": "string",
120 "status": "string",
121 "upc": "string",
122 "updated_on": "2019-08-24T14:15:22+00:00",
123 "weight": {
124 "unit": "string",
125 "weight": 0.1
126 }
127 }
128 ]
129}
Was this page helpful?
Previous

Get Taxonomies

Next

Get Packaging Requirement

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

variantIdlongRequired

Request

objectRequired
OR
objectRequired
OR
objectRequired
OR
objectRequired

Response

Created
categoryobject
created_ondatetime
idlong
namestring
sub_categoryobject
typestring
updated_ondatetime
user_idlong
variantslist of objects